org.apache.velocity.tools.generic

## Class ResourceTool.Key

- java.lang.Object
- - org.apache.velocity.tools.generic.ResourceTool.Key

Enclosing class:
  ResourceTool

    public final class ResourceTool.Key
    extends Object

Internal class used to enable an elegant syntax for accessing resources.

### Constructor Summary

Constructors
Constructor and Description
`Key(String key, String[] bundles, Object locale, Object[] args)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ResourceTool.Key` `bundle(String bundle)`
`ResourceTool.Key` `get(Object k)`
`ResourceTool.Key` `get(String key)`
`boolean` `getExists()`
`List<String>` `getKeys()`
`Object` `getRaw()`
`ResourceTool.Key` `insert(List args)`
`ResourceTool.Key` `insert(Object arg)`
`ResourceTool.Key` `insert(Object[] args)`
`ResourceTool.Key` `insert(Object arg0, Object arg1)`
`ResourceTool.Key` `locale(Object locale)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Key

    public Key(String key,
               String[] bundles,
               Object locale,
               Object[] args)

### Method Detail

#### get

    public ResourceTool.Key get(Object k)

#### get

    public ResourceTool.Key get(String key)

#### bundle

    public ResourceTool.Key bundle(String bundle)

#### locale

    public ResourceTool.Key locale(Object locale)

#### insert

    public ResourceTool.Key insert(Object[] args)

#### insert

    public ResourceTool.Key insert(List args)

#### insert

    public ResourceTool.Key insert(Object arg)

#### insert

    public ResourceTool.Key insert(Object arg0,
                                   Object arg1)

#### getExists

    public boolean getExists()

#### getRaw

    public Object getRaw()

#### getKeys

    public List<String> getKeys()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`